#
#       Makefile for f90
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

SUBDIRS     =
ROOTDIR    =  ..\..\

!include ..\..\MkInclude.win

F90SRC        =         dcl_common.f90 dcl_parm.f90 blklib.f90 chglib.f90 chklib.f90 ctrlib.f90 \
                            datelib.f90 fftlib.f90 gnmlib.f90 grpack.f90 indxlib.f90 intlib.f90 \
                            intrlib.f90 lrllib.f90 maplib.f90 oslib.f90 rfalib.f90 rfblib.f90 \
                            rnmlib.f90 scpack.f90 sgpack.f90 shtrlib.f90 slpack.f90 syslib.f90 \
                            timelib.f90 udpack.f90 uepack.f90 ugpack.f90 uhpack.f90 umpack.f90 \
                            uspack.f90 uupack.f90 uvpack.f90 uwpack.f90 uzpack.f90 dcl.f90

FOBJ = $(FSRC:.f=.obj)
F90OBJ = $(F90SRC:.f90=.obj)

build:
    @$(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=build-exec
build-exec-unique: $(FOBJ) $(F90OBJ)

install:
    @$(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_POSTTARGET=install-exec

install-exec-unique:

clean:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=clean-exec
clean-exec-unique:
